Subject: Re: bug#22952: MacBook2, 1 brightness control requires root privileges

From: [email-masked] (Ludovic Courtès)
Date: Wed, 09 Mar 2016 14:21:47 +0100

Albin <[email-masked]> skribis:

> I've discovered that the non-working brightness controls for the
> MacBook2,1 are due to insufficient permissions.
>
> The first indication of this was that I could change brightness by
> running the program redshift with root permissions (`sudo redshift`).

Interesting.  I use a simple window manager (ratpoison), and ‘redshift’
works fine as non-root.

> Today I was presented with this dialog box in GNOME 3 after having
> pressed one of the brightness-control keys:
>
> "Authentication is needed to run
> '/gnu/store/[...]-gnome-settings-daemon-3.18.2/libexec/gsd-backlight-helper'
> as the super user.
>
> Administrator
> Password [__________]"

This is something Andy is working on:

  https://lists.gnu.org/archive/html/guix-devel/2016-03/msg00247.html

Looks like we’re almost there.  :-)

Ludo’.